# DataExchange
TKXmlXCAF
XmlMXCAFDoc

# XmlMXCAFDoc_LocationDriver Class Reference

Attribute Driver.
.

`#include <XmlMXCAFDoc_LocationDriver.hxx>`

## Public Member Functions

Standard_EXPORT | XmlMXCAFDoc_LocationDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, XmlObjMgt_RRelocationTable &RelocTable) const
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Translate (const TopLoc_Location &theLoc, XmlObjMgt_Element &theParent, XmlObjMgt_SRelocationTable &theMap)
| Translate a non storable Location to a storable Location. .
static Standard_EXPORT Standard_Boolean | Translate (const XmlObjMgt_Element &theParent, TopLoc_Location &theLoc, XmlObjMgt_RRelocationTable &theMap)
| Translate a storable Location to a non storable Location. .

## Constructor & Destructor Documentation

Standard_EXPORT XmlMXCAFDoc_LocationDriver::XmlMXCAFDoc_LocationDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMXCAFDoc_LocationDriver::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Handle_TDF_Attribute XmlMXCAFDoc_LocationDriver::NewEmpty | ( |  | ) | const

Standard_EXPORT void XmlMXCAFDoc_LocationDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | XmlObjMgt_Persistent & | Target,
|  | XmlObjMgt_SRelocationTable & | RelocTable
| ) | const

Standard_EXPORT Standard_Boolean XmlMXCAFDoc_LocationDriver::Paste | ( | const XmlObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | XmlObjMgt_RRelocationTable & | RelocTable
| ) | const

static Standard_EXPORT Standard_Boolean XmlMXCAFDoc_LocationDriver::Translate | ( | const XmlObjMgt_Element & | theParent,
|  | TopLoc_Location & | theLoc,
|  | XmlObjMgt_RRelocationTable & | theMap
| ) | `[static]`

static Standard_EXPORT void XmlMXCAFDoc_LocationDriver::Translate | ( | const TopLoc_Location & | theLoc,
|  | XmlObjMgt_Element & | theParent,
|  | XmlObjMgt_SRelocationTable & | theMap
| ) | `[static]`

The documentation for this class was generated from the following file:

- XmlMXCAFDoc_LocationDriver.hxx